System 2.0.0.0 4.0.0.0 System.Object

The and classes call the method each time they need to construct a component collection for return to a caller. may return an updated collection of components. This enables an external service to modify the view of components that are returned from a container.

Provides a base class for the container filter service.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ComponentCollection ``

  The method filters the component collection by optionally returning a new, modified collection. The default implementation returns the input collection, thereby performing no filtering.

  Filters the component collection.

  A that represents a modified collection.

  The component collection to filter.